PHP Manual
Prev |  | Next

# base64_decode

(PHP 3, PHP 4, PHP 5)

base64_decode -- Decodes data encoded with MIME base64

## Description

string base64_decode ( string data [, bool strict] )

Decodes a base64 encoded `data`.

## Parameters

`data`

  The decoded data.

`strict`

  Returns `FALSE` if input contains space or some other separator.

## Return Values

Returns the original data or `FALSE` on failure. The returned data may be binary.

## ChangeLog

Version | Description
--- | ---
5.2.0 | `strict` added

## Examples

Example 1. base64_decode() example

`<?php $str = 'VGhpcyBpcyBhbiBlbmNvZGVkIHN0cmluZw=='; echo base64_decode($str); ?>`

The above example will output:

    This is an encoded string

## See Also

base64_encode()
RFC 2045 section 6.8

Prev | Home | Next
URL Functions | Up | base64_encode